#pragma once
#include <unordered_map>
#include <string>
#include <stdlib.h>

struct mapInfo {
    float min_x, min_y, max_x, max_y;

    mapInfo(float min_x, float min_y, float max_x, float max_y)
        : min_x(min_x), min_y(min_y), max_x(max_x), max_y(max_y) {}
};

std::unordered_map<std::string, mapInfo> mapBounds = {
    // Done
    // Ranked maps
    {"./maps/Vault.jpeg", { -3450, -3575, 3425,  3450 }},
    {"./maps/RedCard.jpeg", { -44350, 6125, -37050, 13350 }},
    {"./maps/Rewind.jpeg", { -3400, -3175, 3475, 3700 }},
    {"./maps/Derelict.jpeg", { -2700, -2900, 2900, 2500 }},
    {"./maps/Protocol.jpeg", { -34350, -59200, -27650, -52000 }},
    {"./maps/Skyline.jpeg", { 9415, 18150, 15000, 23750 }},

    // Regular maps
    {"./maps/Nuketown.jpg", { 53400, -33250, 58250, -28650 }},
    {"./maps/Babylon.jpeg", { -1600, -1620, 1600, 1575 }},

    // Not done
    /*
    {"./maps/Extraction.jpeg", { -3000, -3000, 3000, 3000 }},
    {"./maps/Gala.jpg", { -3000, -3000, 3000, 3000 }},
    {"./maps/Heirloom.jpeg", { -3000, -3000, 3000, 3000 }},
    {"./maps/Hideout.jpeg", { -3000, -3000, 3000, 3000 }},
    {"./maps/Lowtown.jpeg", { -3000, -3000, 3000, 3000 }},
    {"./maps/Payback.jpeg", { -3000, -3000, 3000, 3000 }},
    {"./maps/Pit.jpg", { -3000, -3000, 3000, 3000 }},
    {"./maps/Scud.jpeg", { -3000, -3000, 3000, 3000 }},
    {"./maps/Stakeout.jpeg", { -3000, -3000, 3000, 3000 }},
    {"./maps/Subsonic.jpeg", { -3000, -3000, 3000, 3000 }},
    {"./maps/Vorkuta.jpeg", { -3000, -3000, 3000, 3000 }},
    {"./maps/Warhead.jpeg", { -3000, -3000, 3000, 3000 }}
    */
};

