#pragma once
#include "Helper.h"
#include "../Lib/vmmdll.h"

class DMAController {
public:
	DMAController();
	~DMAController();
	bool Initialize();
	void Close();
	bool GetProcessInfo(LPSTR ProcessName);
};

BYTE* ReadMemory(uint64_t address, DWORD count);
uintptr_t ReadPtr(uint64_t ptr, uint64_t offset);
uintptr_t ReadPtrChain(uint64_t ptr, std::vector<uint64_t>& offsets);
uint64_t GetPEBAddress();

VMMDLL_SCATTER_HANDLE CreateScatterHandle();
void AddScatterRead(VMMDLL_SCATTER_HANDLE hS, uint64_t address, void* buffer, size_t size);
bool ExecuteScatterRead(VMMDLL_SCATTER_HANDLE hS);
void CloseScatterHandle(VMMDLL_SCATTER_HANDLE VMMDLL_Scatter_Handle);

template <typename T>
T ReadValue(uint64_t address);